PETSc version 3.15.5
Fix/Edit manual page

# DMPlexOrient

Give a consistent orientation to the input mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexOrient(DM dm)

### Input Parameters

| dm | - The DM

Note: The orientation data for the DM are change in-place.

    This routine will fail for non-orientable surfaces, such as the Moebius strip.

### See Also

DMCreate(), DMPLEX

### Level

advanced

### Location

src/dm/impls/plex/plexorient.c

### Examples

src/tao/tutorials/ex3.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages